xlsx-1.1.2.2: Simple and incomplete Excel file parser/writer

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Xlsx.Types.Comment

Synopsis

- data Comment = Comment {
  - _commentText :: XlsxText
  - _commentAuthor :: Text
  - _commentVisible :: Bool
  }

# Documentation

data Comment Source #

User comment for a cell

TODO: the following child elements: guid, shapeId, commentPr

Section 18.7.3 "comment (Comment)" (p. 1749)

Constructors

Comment |

Fields

- _commentText :: XlsxText

  cell comment text, maybe formatted Section 18.7.7 "text (Comment Text)" (p. 1754)

- _commentAuthor :: Text

  comment author

- _commentVisible :: Bool

#### Instances

Instances details

Generic Comment Source # |
Instance details Defined in Codec.Xlsx.Types.Comment Associated Types type Rep Comment :: Type -> Type Source # Methods from :: Comment -> Rep Comment x Source # to :: Rep Comment x -> Comment Source #
Show Comment Source # |
Instance details Defined in Codec.Xlsx.Types.Comment Methods showsPrec :: Int -> Comment -> ShowS Source # show :: Comment -> String Source # showList :: [Comment] -> ShowS Source #
NFData Comment Source # |
Instance details Defined in Codec.Xlsx.Types.Comment Methods rnf :: Comment -> () Source #
Eq Comment Source # |
Instance details Defined in Codec.Xlsx.Types.Comment Methods (==) :: Comment -> Comment -> Bool Source # (/=) :: Comment -> Comment -> Bool Source #
type Rep Comment Source # |

Instance details

Defined in Codec.Xlsx.Types.Comment

type Rep Comment = D1 ('MetaData "Comment" "Codec.Xlsx.Types.Comment" "xlsx-1.1.2.2-DopzEu8STPN4igxHgE9OUe" 'False) (C1 ('MetaCons "Comment" 'PrefixI 'True) (S1 ('MetaSel ('Just "_commentText") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 XlsxText) :*: (S1 ('MetaSel ('Just "_commentAuthor") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "_commentVisible") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Bool))))